Subject: Re: [PATCH] Document the -p option for git-show.

From: Johannes Sixt <[email-masked]>
Date: Tue, 21 Aug 2007 15:09:48 +0200

Miklos Vajna wrote:
> +-p::
> +       For commits, show the change the commit introduces in a patch form.

This is already documented by referencing git-diff-tree a few lines
above:

	The command takes options applicable to the git-diff-tree[1]
	command to control how the changes the commit introduces are
	shown.

The man page of git-diff-tree talks about -p, and a lot more options.

Side note: -p is the default for git-show (of commits). Nevertheless, it
makes sense to specify it in combination with other options:

	git show -p --stat

will show both the patch and the statistics.

-- Hannes